Skip to main content
GET
/
lkbx
/
templates
List lock templates
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/lkbx/templates \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "data": [
      {
        "id": 1,
        "ownerId": 42,
        "name": "Weekend Lock",
        "duration": 172800,
        "isRandomDuration": false,
        "minDuration": null,
        "maxDuration": null,
        "isBreakEnabled": true,
        "breakRegularity": 3600,
        "breakMaximum": 300,
        "breakPenalty": 600,
        "breakKeyholderOnly": false,
        "isDeepthroatEnabled": false,
        "deepthroatTimeReduction": 0,
        "isShameEnabled": false,
        "shameTimeAdd": 0,
        "isEmergencyUnlockEnabled": true,
        "isPublic": false,
        "isPubliclyListed": false,
        "isTestLock": false,
        "isTimeDisplayed": true,
        "createdAt": "2025-12-01T10:00:00Z"
      }
    ],
    "pagination": {
      "limit": 50,
      "offset": 0
    }
  }
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Query Parameters

limit
integer
default:50

Number of records to return (default 50, max 100)

Required range: 1 <= x <= 100
Example:

50

offset
integer
default:0

Number of records to skip (default 0)

Required range: x >= 0
Example:

0

Response

List of lock templates

ok
boolean
required
data
object
required